ingress:
  enabled: true
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: letsencrypt-stating
  hosts:
    - grafana.${USER_NAME}.${DNS_DOMAIN}
  tls:
  - hosts:
    - grafana.${USER_NAME}.${DNS_DOMAIN}
    secretName: grafana-ingress-certificate
grafana.ini:
  server:
    domain: grafana.${USER_NAME}.${DNS_DOMAIN}
    root_url: https://grafana.${USER_NAME}.${DNS_DOMAIN}
  auth:
    oauth_auto_login: true
  auth.generic_oauth:
    enabled: true
    name: Oauth
    allow_sign_up: true
    tls_skip_verify_insecure: true # because of letsencrypt-staging
    scopes: email
    client_id: grafana
    client_secret: 1ceb9a42-2b3a-4839-8723-3a994c83a942
    # https://grafana.com/docs/grafana/latest/auth/generic-oauth/
    role_attribute_path: contains(groups[*], 'grafana-admin') && 'Admin' || contains(groups[*], 'grafana-editor') && 'Editor' || 'Viewer'
    auth_url: https://keycloak.${USER_NAME}.${DNS_DOMAIN}/auth/realms/container-e2e-demo/protocol/openid-connect/auth
    token_url: https://keycloak.${USER_NAME}.${DNS_DOMAIN}/auth/realms/container-e2e-demo/protocol/openid-connect/token
    api_url: https://keycloak.${USER_NAME}.${DNS_DOMAIN}/auth/realms/container-e2e-demo/protocol/openid-connect/userinfo
persistence:
  enabled: true